<!DOCTYPE html>

<html>
    <title> Web Page </title>
    <body>
        <td>
            <li>Hello Line 1</li>
        </td>
        <br>
        <br>
        <h1>Watchtower Web Interface</h1>
        <button onclick="updateWatchtower()">Update Watchtower</button>

        <script>
            function updateWatchtower() {
                fetch('http://watchtower:8080/v1/update', {
                    method: 'POST',
                    headers: {
                        'Content-Type': 'application/json',
                        'Authorization': 'Bearer 123123123123'
                    }
                })
                .then(response => {
                    if (!response.ok) {
                        throw new Error('Failed to update Watchtower');
                    }
                    alert('Watchtower updated successfully');
                })
                .catch(error => {
                    console.error(error);
                    alert('Failed to update Watchtower');
                });
            }
        </script>
    </body>
</html>